golang-github-bradfitz-http2
HTTP/2 support for Go

NEW: Take a look at the new package tracker: tracker.debian.org/pkg/golang-github-bradfitz-http2

general

source
golang-github-bradfitz-http2 (optional, misc)
version
0.0~git20150509-2
maint
pkg-go (a), Michael Stapelberg (u)
std-ver
3.9.6
VCS
Git (browse)

binaries

todo

  • Lintian reports 4 warnings about this package. You should make the package lintian clean getting rid of them.
  • The package should be updated to follow the last version of Debian Policy (Standards-Version 4.4.0 instead of 3.9.6).

problems

  • The package has not yet entered testing even though the 5-day delay is over. Check why.
  • The as-installed testing for this package did not pass (log).
  • The package is severely out of date with respect to the Debian Policy. Latest version is 4.4.0 and your package only follows 3.9.6...
  • There were override disparities found in suite unstable:
    • golang-github-bradfitz-http2-dev: Override says devel - optional, .deb says devel - extra

testing migration

excuses:
  • Migration status: BLOCKED: Rejected/introduces a regression
  • 563 days old (needed 5 days)
  • golang-github-bradfitz-http2-dev/amd64 unsatisfiable Depends: golang-go.crypto-dev (>= 1:0.0~git20150608)
  • golang-github-bradfitz-http2-dev/arm64 unsatisfiable Depends: golang-go.crypto-dev (>= 1:0.0~git20150608)
  • golang-github-bradfitz-http2-dev/armel unsatisfiable Depends: golang-go.crypto-dev (>= 1:0.0~git20150608)
  • golang-github-bradfitz-http2-dev/armhf unsatisfiable Depends: golang-go.crypto-dev (>= 1:0.0~git20150608)
  • golang-github-bradfitz-http2-dev/i386 unsatisfiable Depends: golang-go.crypto-dev (>= 1:0.0~git20150608)
  • golang-github-bradfitz-http2-dev/mips64el unsatisfiable Depends: golang-go.crypto-dev (>= 1:0.0~git20150608)
  • golang-github-bradfitz-http2-dev/mipsel unsatisfiable Depends: golang-go.crypto-dev (>= 1:0.0~git20150608)
  • golang-github-bradfitz-http2-dev/ppc64el unsatisfiable Depends: golang-go.crypto-dev (>= 1:0.0~git20150608)
  • golang-github-bradfitz-http2-dev/s390x unsatisfiable Depends: golang-go.crypto-dev (>= 1:0.0~git20150608)
  • Updating golang-github-bradfitz-http2 introduces new bugs: #895554.
  • Piuparts tested OK - https://piuparts.debian.org/sid/source/g/golang-github-bradfitz-http2.html
  • uninstallable on arch amd64, autopkgtest delayed there
  • Checking build-dependency on amd64
  • golang-github-bradfitz-http2 unsatisfiable Build-Depends(-Arch) on amd64: golang-go.crypto-dev (>= 1:0.0~git20150608)

bugs

all bug history graph
2
RC
1
I&N
1
M&W
0
F&P
0